Bug 1297103 - [abrt] menulibre: update_menu_sensitivity(): python3.4 killed by SIGSEGV
[abrt] menulibre: update_menu_sensitivity(): python3.4 killed by SIGSEGV
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: menulibre (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: My Karlsson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bb43b97e7a271901101a980a09f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 03:07 EST by aten
Modified: 2016-03-17 16:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 16:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.91 KB, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: core_backtrace (8.76 KB, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: dso_list (14.53 KB, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: environ (2.20 KB, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: maps (68.50 KB, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: mountinfo (3.49 KB, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: open_fds (4.16 KB, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2016-01-09 03:07 EST, aten
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-09 03:07 EST, aten
no flags Details

  None (edit)
Description aten 2016-01-09 03:07:00 EST
Description of problem:
1. seelcted .desktop file for editing. 
2. Click on "categories"
3. Double clicked on "other" in the "category name" column. 
4. Menulibre crashes

reproducible every time on my system

Version-Release number of selected component:
menulibre-2.1.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/menulibre
crash_function: update_menu_sensitivity
executable:     /usr/bin/python3.4
global_pid:     20233
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 update_menu_sensitivity at gtkcombobox.c:2114
 #2 gtk_combo_box_menu_popup at gtkcombobox.c:2136
 #3 gtk_combo_box_popup_for_device at gtkcombobox.c:2285
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 popup_idle at gtkcombobox.c:4536
 #12 g_main_context_iteration at gmain.c:3901
 #13 g_application_run at gapplication.c:2311
 #14 ffi_call_unix64 at ../src/x86/unix64.S:76
 #15 ffi_call at ../src/x86/ffi64.c:525
 #16 pygi_invoke_c_callable at pygi-invoke.c:645
Comment 1 aten 2016-01-09 03:07:06 EST
Created attachment 1113102 [details]
File: backtrace
Comment 2 aten 2016-01-09 03:07:07 EST
Created attachment 1113103 [details]
File: cgroup
Comment 3 aten 2016-01-09 03:07:09 EST
Created attachment 1113104 [details]
File: core_backtrace
Comment 4 aten 2016-01-09 03:07:11 EST
Created attachment 1113105 [details]
File: dso_list
Comment 5 aten 2016-01-09 03:07:12 EST
Created attachment 1113106 [details]
File: environ
Comment 6 aten 2016-01-09 03:07:14 EST
Created attachment 1113107 [details]
File: exploitable
Comment 7 aten 2016-01-09 03:07:15 EST
Created attachment 1113108 [details]
File: limits
Comment 8 aten 2016-01-09 03:07:17 EST
Created attachment 1113109 [details]
File: maps
Comment 9 aten 2016-01-09 03:07:19 EST
Created attachment 1113110 [details]
File: mountinfo
Comment 10 aten 2016-01-09 03:07:20 EST
Created attachment 1113111 [details]
File: namespaces
Comment 11 aten 2016-01-09 03:07:22 EST
Created attachment 1113112 [details]
File: open_fds
Comment 12 aten 2016-01-09 03:07:23 EST
Created attachment 1113113 [details]
File: proc_pid_status
Comment 13 aten 2016-01-09 03:07:24 EST
Created attachment 1113114 [details]
File: var_log_messages
Comment 14 My Karlsson 2016-01-25 15:01:29 EST
Thanks for the bug report. The backtrace suggests that this is a bug in gtk3. Upstream has already fixed it [1]. We will have to wait until it's fixed in the gtk3 package as well.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=759079
Comment 15 My Karlsson 2016-02-02 14:56:39 EST
I'm no longer able to reproduce the problem after upgrading the gtk3 package to version 3.18.7-1.fc23 which was released to Fedora 23 a couple of days ago.

Note You need to log in before you can comment on or make changes to this bug.